Download it now!
Bug 101115 - TEMPLATE MANAGER: Save as form fields not mnemonic labelled
Summary: TEMPLATE MANAGER: Save as form fields not mnemonic labelled
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:5.3.0 target:5.2.2
Keywords: accessibility
Depends on:
Blocks: Template-Manager a11y
  Show dependency treegraph
 
Reported: 2016-07-25 15:19 UTC by Alex ARNAUD
Modified: 2017-05-03 15:45 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex ARNAUD 2016-07-25 15:19:08 UTC
Dear LibreOffice community,

Version: 5.3.0.0.alpha0+
Build ID: cb95159e79ee531f3908e30fefae73693672f0a6
CPU Threads: 4; OS Version: Linux 3.16; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-07-25_03:56:39
Locale: fr-FR (fr_FR.UTF-8); Calc: group

In the new "save as" dialog of the Template Manager, the form fields are not labeled so with a screen reader (for blind persons) we cannot know the labels of the fields.


Best regards,
Alex.
Comment 1 Jean-Philippe MENGUAL 2016-09-01 00:07:50 UTC
Hi,

Seems fixed in 5.2, isn't it?

Otherwise, please explain steps to reproduce.

Here just the edit field to enter a name of template seems not working.

Regards,
Comment 2 Alex ARNAUD 2016-09-01 12:46:47 UTC
(In reply to Jean-Philippe MENGUAL from comment #1)
> Hi,
> 
> Seems fixed in 5.2, isn't it?
> 
> Otherwise, please explain steps to reproduce.
> 
> Here just the edit field to enter a name of template seems not working.
> 
> Regards,

Dear Jean-Philippe,

It couldn't be fixed in version 5.2 because this is a bug related to the new "save as" dialog that is only available in version 5.3.

Could you check in version 5.3 of LibreOffice if you are able to reproduce the issue ?

Best regards,
Alex.
Comment 3 Yousuf Philips (jay) (retired) 2016-09-01 14:03:46 UTC
So this dialog is in 5.2 and is accessible through File > Template > Save as.
Comment 4 Katarina Behrens (CIB) 2016-09-01 14:08:43 UTC
Yep (confirmed on IRC)
Comment 5 V Stuart Foote 2016-09-01 14:28:42 UTC
(In reply to Yousuf Philips (jay) from comment #3)
> So this dialog is in 5.2 and is accessible through File > Template > Save as.

Yes, but the issue is that the dialog does not expose its section names to Assistive Technology--the "Enter Template Name" field and the "Select Template Category" do not sound when entering the dialog.  Using mouse cursor once can *scrape* the detail from the dialog, but it is preferred/required that the dialog fields be fully instrumented to allow simple keyboard navigation.

Tested with NVDA 2016.2.1 on Windows 10 Pro 64-bit en-US the dialog field
labeling is not correct in 5.2.1 nor in current master/5.3.0

Version: 5.2.1.2 (x64)
Build ID: 31dd62db80d4e60af04904455ec9c9219178d620
CPU Threads: 8; OS Version: Windows 6.19; UI Render: default; 
Locale: en-US (en_US); Calc: group

Version: 5.3.0.0.alpha0+
Build ID: 34dced99c33a97dab86c4538fa267ad4ad4fb41f
CPU Threads: 8; OS Version: Windows 6.19; UI Render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-08-31_00:00:01
Locale: en-US (en_US); Calc: CL
Comment 6 Yousuf Philips (jay) (retired) 2016-09-03 00:35:28 UTC
Patch submitted - https://gerrit.libreoffice.org/28636
Comment 7 Commit Notification 2016-09-05 12:42:34 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6004f5c61ec4b075075360e49b138d34ad84d056

tdf#101115 Make save as template dialog accessible

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Yousuf Philips (jay) (retired) 2016-09-05 16:55:43 UTC
Patch for 5.2 - https://gerrit.libreoffice.org/#/c/28674/
Comment 9 Commit Notification 2016-09-06 07:30:52 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=869d980a5e5b1552c52651b0ccbee85bfad8bfed&h=libreoffice-5-2

tdf#101115 Make save as template dialog accessible

It will be available in 5.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Alex ARNAUD 2017-02-09 15:31:55 UTC
Dear all,

On LibreOfficeDev 5.4, the "template category" is not announced by Orca on GNU/Linux. Is it correctly labelled on the LibreOffice side?

For the "template name" form field it's perfect for me.

Best regards.
Comment 11 Yousuf Philips (jay) (retired) 2017-05-02 13:21:20 UTC
(In reply to Alex ARNAUD from comment #10)
> On LibreOfficeDev 5.4, the "template category" is not announced by Orca on
> GNU/Linux. Is it correctly labelled on the LibreOffice side?

I'm running 5.4 dev from 2017-04-17 and it works fine with Orca 3.20.3 for me on Ubuntu Mate 16.04.

@Stuart: Can you confirm?
Comment 12 Alex ARNAUD 2017-05-03 14:17:25 UTC
(In reply to Yousuf Philips (jay) from comment #11)
> (In reply to Alex ARNAUD from comment #10)
> > On LibreOfficeDev 5.4, the "template category" is not announced by Orca on
> > GNU/Linux. Is it correctly labelled on the LibreOffice side?
> 
> I'm running 5.4 dev from 2017-04-17 and it works fine with Orca 3.20.3 for
> me on Ubuntu Mate 16.04.

What VLC are you using ? I'm using GTK2 version of LibreOffice with LibreOfficeDev 5.4 from the 2017-04-27. I use Orca 3.24 on Debian 8.7 "Jessie".

To be really clear on the situation : 
- Orca announces the content of the list
- When the focus enter into the list of categories Orca doesn't announce "template category" so a blind user cannot determine which list it is.

Best regards.
Comment 13 Yousuf Philips (jay) (retired) 2017-05-03 15:28:49 UTC
(In reply to Alex ARNAUD from comment #12)
> What VLC are you using ? I'm using GTK2 version of LibreOffice with
> LibreOfficeDev 5.4 from the 2017-04-27. I use Orca 3.24 on Debian 8.7
> "Jessie".

Version: 5.4.0.0.alpha0+
Build ID: 44b14e8c7c485d8a3bb99d9484ac63273988b633
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-04-17_03:32:22
Locale: en-US (en_US.UTF-8); Calc: group

> To be really clear on the situation : 
> - Orca announces the content of the list
> - When the focus enter into the list of categories Orca doesn't announce
> "template category" so a blind user cannot determine which list it is.

To be abundantly clear, Orca says "Temporary Category None N O N E".
Comment 14 Alex ARNAUD 2017-05-03 15:45:12 UTC
> > To be really clear on the situation : 
> > - Orca announces the content of the list
> > - When the focus enter into the list of categories Orca doesn't announce
> > "template category" so a blind user cannot determine which list it is.
> 
> To be abundantly clear, Orca says "Temporary Category None N O N E".

I've added Joanie in CC. You're right. With Orca 3.20 it works but not with Orca 3.24.

Best regards.